Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.examples
Class AggregateWordCount

    java.lang.Object
      org.apache.hadoop.examples.AggregateWordCount

    public class AggregateWordCount

extends Object

This is an example Aggregated Hadoop Map/Reduce application. It reads the text input files, breaks each line into words and counts them. The output is a locally sorted list of words and the count of how often they occurred. To run: bin/hadoop jar hadoop-examples-*.jar aggregatewordcount in-dir out-dir numOfReducers textinputformat

Nested Class Summary
`static class` | `AggregateWordCount.WordCountPlugInClass`

Constructor Summary
`AggregateWordCount()`

Method Summary
`static void` | `main(String[] args)` The main driver for word count map/reduce program.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregateWordCount

    public AggregateWordCount()

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  The main driver for word count map/reduce program. Invoke this method to submit the map/reduce job.

  Throws:
    `IOException` - When there is communication problems with the job tracker.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation